<?php
/**
 * Отключаю несущественные инспекции (из-за Attribute)
 *
 * @noinspection PhpMultipleClassDeclarationsInspection
 */

namespace goodboyalex\php_components_pack\attributes;

use Attribute;

/**
 * Атрибут указания, что параметр является параметром только для чтения и не подлежит маппингу.
 *
 * @author Александр Бабаев
 * @package php_components_pack
 * @version 1.0
 * @since 1.0.25
 */
#[Attribute(flags: Attribute::TARGET_PROPERTY)]
final readonly class GetOnly
{
    /**
     * Конструктор
     */
    public function __construct ()
    {
    }
}